/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
}

@media (min-width: 1200px) {
  .layout-menu-fixed.layout-menu-collapsed .layout-page,
  .layout-menu-fixed-offcanvas.layout-menu-collapsed .layout-page {
    padding-left: 5.25rem;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu {
    width: 5.25rem;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item {
    width: 5.25rem;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item > .menu-link {
    padding-right: 0;
    padding-left: 0;
    text-align: center;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-header,
  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-block {
    position: relative;
    margin-left: 5.25rem;
    padding-right: 1.5rem;
    padding-left: 1.5rem;
    width: 16.25rem;
    text-indent: -9999px;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-header::before,
  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-block::before {
    content: "";
    position: absolute;
    right: 1.5rem;
    width: 1rem;
    text-align: center;
    text-indent: 0;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-header::before {
    left: 1.8125rem;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item div:not(.menu-block) {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    opacity: 0;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item > .menu-sub,
  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item.open > .menu-sub {
    display: none;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item > .menu-toggle::after {
    display: none;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .menu-inner > .menu-item > .menu-link .menu-icon {
    margin-left: 0;
    margin-right: 0;
    width: 5.25rem;
    text-align: center;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand {
    padding-right: 0.5rem;
    padding-left: 0.5rem;
    justify-content: space-between;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand-link {
    min-width: 0;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand-logo {
    margin-right: 0;
    margin-left: 0;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand-logo img {
    max-width: 38px;
    object-fit: contain;
  }

  .layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-offcanvas):not(.layout-menu-fixed-offcanvas) .layout-menu .app-brand .layout-menu-toggle {
    opacity: 1;
    left: auto;
    margin-left: 0.25rem !important;
  }
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 74px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.docs-page .layout-navbar-fixed.layout-wrapper:not(.layout-without-menu) .layout-page,
.docs-page .layout-menu-fixed.layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 62px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 231px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

/*
* dashboard
******************************************************************************/
.timer-nav-item {
    padding: 10px 15px;
    background-color: #f8f9fa;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.timer-nav-item:hover {
    background-color: #e2e6ea;
}

#timer {
    font-weight: bold;
    font-size: 1.2em;
    color: #007bff;
}

.img-properties-pan {
    border: 2px solid #007bff; /* Border color */
    padding: 5px; /* Padding around the image */
    border-radius: 5px; /* Rounded corners */
    display: inline-block; /* Ensure the border wraps tightly around the content */
    background-color: #f8f9fa; /* Optional: background color */
}

.img-properties-aadhar {
    border: 2px solid #007bff; /* Border color */
    padding: 5px; /* Padding around the image */
    border-radius: 5px; /* Rounded corners */
    display: inline-block; /* Ensure the border wraps tightly around the content */
    height: 150px;
    margin: 2px;
    background-color: #f8f9fa; /* Optional: background color */
}

.para-center {
  text-align: center;
}

.table.table-bordered.table-hover th,
.table.table-bordered.table-hover td {
    padding: 5px; /* Adjust the value as needed */
}

.card {
        border-radius: 0.75rem;
}
.card-header {
    font-size: 1rem;
    font-weight: bold;
}
.table th, .table td {
    vertical-align: middle;
}
.table-hover tbody tr:hover {
    background-color: #f1f3f5;
}

.table.table-sm.table-hover.mb-0 tr .small {
  padding: 10px !important;
}

.small.sm {
  padding: 5px;
}

#loader {
    text-align: center;
    margin-top: 10px;
}

.text-center.my-4.para-style {
  display: flex;
  justify-content: space-between;
}

.col-xxl-8.order-0.card-style {
  display: flex;
  gap: 10px;
}

.scrollable-table {
    display: table; /* Keeps the table layout intact */
    width: 100%; /* Ensures full width */
    table-layout: fixed; /* Keeps table layout fixed */
}

.scrollable-table tr {
    display: table-row; /* Ensures the rows display correctly */
}

.table th {
    background-color: #f8f9fa;
    color: #495057;
}

.table td {
    vertical-align: middle;
}

.table.table-bordered.table-hover th, .table.table-bordered.table-hover td {
  padding: 3px;
}

.cls-gif-wroking {
  height: 120px;
  margin-bottom: 5px;
  margin-top: 5px;
}
.cls-start-fresh, .cls-checkout-fresh,.cls-logout-happy,.cls-logout-unhappy {
  display: none;
}

.cls-start-fresh.active, .cls-checkout-fresh.active {
  display: block;
}
#checkout-button {
  margin-top: 5px;
}
.status-loggedin {
  position: absolute;
  top: 10px;
  right: 10px;
}

.cls-svg-wroking {
   height: 120px;
  margin-bottom: 5px;
  margin-top: 5px;
}
#idTimerClosed {
  padding: 4px;
  background: #e5f0ff;
  display: block;
  width: auto;
  margin-bottom: 10px;
  font-size: 18px;
  border-radius: 20px;
}
.status-loggedout {
  position: absolute;
  left: 0;
  top: 10px;
  left: 10px;
}
.cls-svg-wroking {
  margin-top: 30px;
}
.checkintimer-sx {
  width: 48%;
  font-size: 13px;
}
.checkintimer-sx1 {
  background-color: green;
}
.checkintimer-sx2 {
  background-color: red;
}
.checkintime-details {
  display: flex;
  justify-content: space-between;
}
.checkintimer-sx1 {
  background-color: #cdf4cd;
  padding: 2px 0px;
  border-radius: 30px;
}
.checkintimer-sx2 {
  background-color: #ffdfdf;
  padding: 2px 0px;
  border-radius: 30px;
}

.wpx-sx {
  width: 150px;
}
.dashboard-new {
  display: flex;
  justify-content: space-between;
}
@media (max-width: 576px) {
.checkintimer-sx {
  font-size: 11px;
}
.dashboard-new {
  display: block;
  text-align: center;
}

.dashboard-new.rounded-8px.p-3.py-4.overflow-hidden .align-items-center, .dashboard-new.rounded-8px.p-3.py-4.overflow-hidden .align-items-center .details {
  text-align: center;
}
.dashboard-new.rounded-8px.p-3.py-4.overflow-hidden .align-items-center, .dashboard-new.rounded-8px.p-3.py-4.overflow-hidden .align-items-center .details {
  width: 100%;
}
.dashboard-new.rounded-8px.p-3.py-4.overflow-hidden .align-items-center .d-flex.gap-1 {
  text-align: center;
  display: block !important;
}
.btn.btn-success.btn-update-profile.text-white.rounded-pill.fw-semibold.bg-update-profile.border-0.p-2.px-3.fs-6.text-nowrap {
  /* display: block; */
  width: 100%;
}
.cls-logout-after {
  font-size: 13px;
}


.cls-logout-after {
  font-size: 13px;
}
.col-xxl-8.order-0.card-style.mt-4 {
  display: block;
  /*! margin-top: 10px; */
}
.col-xxl-8.order-0.card-style.mt-4 a {
  width: 50%;
  float: ;
  float: left;
  padding: 1;
  margin-bottom: 10px;
}
.cls-clockin-timer {
	margin-top: 10px;
	margin-bottom: 10px;
}
}
